//****************************************************************************************************
// file tim_note.cpp
#include <libce.h>

const natb tasto[] = { 'q', 'w', 'e', 'r', 't', 'y', 'u' };					 // caratteri per le 7 note
const natw ctr[] = { 4548, 4052, 3610, 3408, 3036, 2704, 2410 }; // costanti per le 7 note

natw cost(natb t)
{	natw c = 0;
	for (int i = 0; i < 7; i++) 
		if (tasto[i] == t) 
		{	c = ctr[i];
			break;
		}
	return c;
}

extern "C" void nota(natw cc);
int main()
{	for (;;)
	{	natb t = char_read();
		if (t == 0x1B) break;			// carattere ASCII esc
		natw c = cost(t);
		if (c != 0) nota(c); 
	}
	return 0;
} 
//****************************************************************************************************
