//****************************************************************************************************
// file ricevi.cpp
#include <libce.h>

// COM1
const ioaddr iRBR = 0x03F8;				// DLAB deve essere 0
const ioaddr iTHR = 0x03F8;				// DLAB deve essere 0
const ioaddr iLSR = 0x03FD;
const ioaddr iLCR = 0x03FB;
const ioaddr iDLR_LSB = 0x03F8;		// DLAB deve essere 1
const ioaddr iDLR_MSB = 0x03F9;		// DLAB deve essere 1
const ioaddr iIER = 0x03F9;				// DLAB deve essere 0
const ioaddr iMCR = 0x03FC;
const ioaddr iIIR = 0x03FA;


void ini_COM1()
{	natw CBITR = 0x000C;
	natb dummy;
	outputb(0x80, iLCR);
	outputb(CBITR, iDLR_LSB);
	outputb(CBITR >> 8, iDLR_MSB);
	outputb(0x03, iLCR);
	outputb(0x00, iIER);
	inputb(iRBR, dummy);
}

void serial_i(natb& c)
{	natb s;
	do
	{	inputb(iLSR, s); } 
	while (! (s & 0x01));
	inputb(iRBR, c);
}

int main()
{	ini_COM1();
	for (;;) 
	{	natb c;
		serial_i(c);
		if (c == 0x1B) break;			// carattere ASCII esc
		char_write(c);
	}
	return 0;
}
//****************************************************************************************************
